Colt 1.2.0

## cern.colt.function
Interface DoubleFunction

All Known Implementing Classes:
  AbstractContinousDistribution, AbstractDiscreteDistribution, AbstractDistribution, Beta, Binomial, BreitWigner, BreitWignerMeanSquare, ChiSquare, DRand, Empirical, EmpiricalWalker, Exponential, ExponentialPower, Gamma, Hyperbolic, HyperGeometric, Logarithmic, MersenneTwister, MersenneTwister64, Mult, NegativeBinomial, Normal, Poisson, PoissonSlow, RandomEngine, StudentT, Uniform, VonMises, Zeta

    public interface DoubleFunction

Interface that represents a function object: a function that takes a single argument and returns a single value.

Method Summary
`double` `apply(double argument)` Applies a function to an argument.

Method Detail

### apply

    double apply(double argument)

  Applies a function to an argument.

  Parameters:
    `argument` - argument passed to the function.
  Returns:
    the result of the function.

Colt 1.2.0

Jump to the Colt Homepage